package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db/model"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	zhios_day_luck_draw_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/utils"
	"errors"
	"time"
	"xorm.io/xorm"
)

func AddOrderJackpot(eg *xorm.Engine, req md.DayLuckDrawOrderJackpotReq) error {
	count, _ := eg.Where("oid=? and uid=? and pvd=?", req.Oid, req.Uid, req.Pvd).Count(&model.DayLuckDrawOrderJackpot{})
	if count > 0 {
		return nil
	}
	var data = &model.DayLuckDrawOrderJackpot{
		Oid:        req.Oid,
		Pvd:        req.Pvd,
		Uid:        zhios_day_luck_draw_utils.StrToInt(req.Uid),
		CreateTime: time.Now(),
	}
	one, err := eg.InsertOne(data)
	if one == 0 {
		return errors.New("失败")
	}
	if err != nil {
		return err
	}
	return nil
}
func GetOrderJackpotCount(sess *xorm.Session, period string) int64 {
	if period == "0" || zhios_day_luck_draw_utils.StrToInt(period) > 0 {
		sess.Where("period=?", period)
	}
	sum, _ := sess.Count(&model.DayLuckDrawOrderJackpot{})
	return sum
}

func GetAllOrderOid(sess *xorm.Session) []string {
	sql := `SELECT oid,uid FROM day_luck_draw_order_jackpot where period=0;`
	data, _ := QueryNativeStringSess(sess, sql)
	var list = make([]string, 0)
	if len(data) > 0 {
		for _, v := range data {
			list = append(list, v["oid"]+"_"+v["uid"])
		}
	}
	return list
}
