package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db/model"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	zhios_day_luck_draw_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/utils"
	"errors"
	"time"
	"xorm.io/xorm"
)

func GetSettleAllOrderSum(sess *xorm.Session, isSend string) float64 {
	if isSend == "0" || isSend == "1" {
		sess.Where("is_send=?", isSend)
	}
	sum, _ := sess.Sum(&model.DayLuckDrawSettleOrder{}, "commission")
	return sum
}

func AddSettle(eg *xorm.Engine, req md.DayLuckDrawOrderJackpotReq) error {
	count, _ := eg.Where("oid=? and uid=? and pvd=?", req.Oid, req.Uid, req.Pvd).Count(&model.DayLuckDrawSettleOrder{})
	if count > 0 {
		return nil
	}
	var data = &model.DayLuckDrawSettleOrder{
		Oid:        req.Oid,
		Pvd:        req.Pvd,
		Amount:     req.Amount,
		Commission: req.Commission,
		Uid:        zhios_day_luck_draw_utils.StrToInt(req.Uid),
		CreateTime: time.Now(),
	}
	one, err := eg.InsertOne(data)
	if one == 0 {
		return errors.New("失败")
	}
	if err != nil {
		return err
	}
	return nil
}

func AddSettleSess(sess *xorm.Session, req md.DayLuckDrawOrderJackpotReq) error {
	count, _ := sess.Where("oid=? and uid=? and pvd=?", req.Oid, req.Uid, req.Pvd).Count(&model.DayLuckDrawSettleOrder{})
	if count > 0 {
		return nil
	}
	var data = &model.DayLuckDrawSettleOrder{
		Oid:        req.Oid,
		Pvd:        req.Pvd,
		Amount:     req.Amount,
		Commission: req.Commission,
		Uid:        zhios_day_luck_draw_utils.StrToInt(req.Uid),
		CreateTime: time.Now(),
	}
	one, err := sess.Insert(data)
	if one == 0 {
		return errors.New("失败")
	}
	if err != nil {
		return err
	}
	return nil
}
